#!/bin/sh
# Copyright (C) 2007-2009 Timesys Corporation

CONFIGIN=$1

if [ -z "$CONFIGIN" ]; then
    echo $0 Config.in
    exit 1
fi

if [ ! -f $CONFIGIN ]; then
  CONFIGIN=$(find target/software toolchain -wholename "*/$CONFIGIN/Config.in" | head -n1)
fi

if [ -n "$CONFIGIN" ]; then
  if [ -f $CONFIGIN ]; then
    sed -n "/^menuconfig TSWO_SOFTWARE_/,/^$/p" $CONFIGIN | sed -re "/^menuconfig TSWO_SOFTWARE_/,/help/d" -e "/^$/d" -e "s/^\W+//"
  fi
fi
