# Copyright (C) 2007-2010 Timesys Corporation
# esound rules

$(eval $(call COMMON_SETUP,esound))


$(BUILD_DIR)/esound-$(esound_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/esd*
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/$(TSWO_FULL_TARGET_NAME)-esd*
	@touch $@

$(BUILD_DIR)/esound-$(esound_VERSION)/.stamp_pre_configured:
	@cd $(esound_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_esound))
SOFTWARE+=esound
endif


# vim:set noexpandtab filetype=make: 
