# Copyright (C) 2007-2010 Timesys Corporation
# gpe-keylock rules


$(eval $(call COMMON_SETUP,gpe-keylock))

$(BUILD_DIR)/gpe-keylock-$(gpe-keylock_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-keylock-$(gpe-keylock_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-keylock $(gpe-keylock_VERSION))
	cd $(gpe-keylock_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-keylock_MAKE_CMD) \
        $(gpe-keylock_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-keylock-$(gpe-keylock_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-keylock $(gpe-keylock_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-keylock_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-keylock_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-keylock_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-keylock-$(gpe-keylock_VERSION)/.stamp_packaged:
	cd $(gpe-keylock_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-keylock_MAKE_CMD) DESTDIR=$(gpe-keylock_PKG_INSTALL_DIR) install \
        $(gpe-keylock_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-keylock))
SOFTWARE+=gpe-keylock
endif


# vim:set noexpandtab filetype=make: 
