# Copyright (C) 2007-2010 Timesys Corporation
# clutter-box2d rules

# Define common macros for clutter-box2d from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,clutter-box2d))


$(BUILD_DIR)/clutter-box2d-$(clutter-box2d_VERSION)/.stamp_pre_configured:
	@cd $(clutter-box2d_DDIR) && \
		$(SED) -i -re "s/examples //g" Makefile.*
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_clutter-box2d))
SOFTWARE+=clutter-box2d
endif


# vim:set noexpandtab filetype=make: 
