# Copyright (C) 2007-2010 Timesys Corporation
# libX11 rules


$(eval $(call COMMON_SETUP,libX11))

$(BUILD_DIR)/libX11-$(libX11_VERSION)/.stamp_pre_configured:
	@cd $(libX11_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

# build makekeys natively
$(BUILD_DIR)/libX11-$(libX11_VERSION)/.stamp_pre_built:
	@cd $(libX11_DDIR) && \
		$(MAKE) -C src/util makekeys CC=$(HOSTCC) CFLAGS= makekeys_CFLAGS=
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_libX11))
SOFTWARE+=libX11
endif


# vim:set noexpandtab filetype=make: 
