# Copyright (C) 2007-2010 Timesys Corporation
# liberation-fonts rules


# Define common macros for liberation-fonts from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,liberation-fonts))

$(BUILD_DIR)/liberation-fonts-$(liberation-fonts_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/liberation-fonts-$(liberation-fonts_VERSION)/.stamp_built:
	@touch $@

$(BUILD_DIR)/liberation-fonts-$(liberation-fonts_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing liberation-fonts $(liberation-fonts_VERSION) to the RFS)
	rm -rf $(TSWO_RFS_INSTALL_DIR)/usr/share/fonts/truetype/liberation/
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/usr/share/fonts/truetype/liberation/
	cp $(liberation-fonts_DDIR)/*.ttf $(TSWO_RFS_INSTALL_DIR)/usr/share/fonts/truetype/liberation/
	@touch $@

$(BUILD_DIR)/liberation-fonts-$(liberation-fonts_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/liberation-fonts-$(liberation-fonts_VERSION)/.stamp_packaged:
	mkdir -p $(liberation-fonts_PKG_INSTALL_DIR)/usr/share/fonts/truetype/liberation/
	cp $(liberation-fonts_DDIR)/*.ttf $(liberation-fonts_PKG_INSTALL_DIR)/usr/share/fonts/truetype/liberation/
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_liberation-fonts))
SOFTWARE+=liberation-fonts
endif

# vim:set noexpandtab filetype=make: 
