# Copyright (C) 2007-2010 Timesys Corporation
# pango rules


ifeq (y,$(TSWO_SOFTWARE_pango-fb))
TSWO_pango_CONFIGURE_OPTIONS=$(TSWO_pango-fb_CONFIGURE_OPTIONS)
TSWO_pango_RUNTIME_DEPENDS=$(TSWO_pango-fb_RUNTIME_DEPENDS)
TSWO_pango_DEPENDS=$(TSWO_pango-fb_DEPENDS)
endif
$(eval $(call COMMON_SETUP,pango))


$(BUILD_DIR)/pango-$(pango_VERSION)/.stamp_pre_configured:
	@cd $(pango_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

$(BUILD_DIR)/pango-$(pango_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/pango-{querymodules,view}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_pango))
SOFTWARE+=pango
endif


# vim:set noexpandtab filetype=make: 
