# Copyright (C) 2007-2010 Timesys Corporation
# pygtk rules

# Define common macros for pygtk from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,pygtk))

pygtk_CONFIGURE_OPTIONS+=am_cv_python_platform=linux2 am_cv_python_pyexecdir=/usr/lib/python$(python_SHORT_VERSION)/site-packages am_cv_python_pythondir=/usr/lib/python$(python_SHORT_VERSION)/site-packages


$(BUILD_DIR)/pygtk-$(pygtk_VERSION)/.stamp_built:
	$(call PRINT_INFO,building pygtk $(pygtk_VERSION))
	cd $(pygtk_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(pygtk_MAKE_CMD) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(pygtk_BUILD_OPTIONS)
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_pygtk))
SOFTWARE+=pygtk
endif


# vim:set noexpandtab filetype=make: 
