# Copyright (C) 2007-2010 Timesys Corporation
# xdpyinfo rules

# Define common macros for xdpyinfo from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,xdpyinfo))

xdpyinfo_OPTIONAL_DEPS=libXxf86vm libXxf86dga libXi libXrandr libXrender libXcomposite libXinerama
xdpyinfo_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(xdpyinfo_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
xdpyinfo-patch: $(xdpyinfo_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/xdpyinfo-$(xdpyinfo_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_xdpyinfo))
SOFTWARE+=xdpyinfo
endif


# vim:set noexpandtab filetype=make: 
