# Copyright (C) 2007-2010 Timesys Corporation
# alsa-lib rules


$(eval $(call COMMON_SETUP,alsa-lib))

$(BUILD_DIR)/alsa-lib-$(alsa-lib_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/aserver
	@touch $@

$(BUILD_DIR)/alsa-lib-$(alsa-lib_VERSION)/.stamp_pre_configured:
	@cd $(alsa-lib_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_alsa-lib))
SOFTWARE+=alsa-lib
endif


# vim:set noexpandtab filetype=make: 
