# Copyright (C) 2007-2010 Timesys Corporation
# avi-demuxer rules

# Define common macros for avi-demuxer from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,avi-demuxer))


$(BUILD_DIR)/avi-demuxer-$(avi-demuxer_VERSION)/.stamp_pre_configured:
	cd $(avi-demuxer_DDIR) && \
		./autogen.sh
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_avi-demuxer))
SOFTWARE+=avi-demuxer
endif


# vim:set noexpandtab filetype=make: 
