# Copyright (C) 2007-2010 Timesys Corporation
# h264-decode rules

# Define common macros for h264-decode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,h264-decode))


$(BUILD_DIR)/h264-decode-$(h264-decode_VERSION)/.stamp_pre_configured:
	cd $(h264-decode_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_h264-decode))
SOFTWARE+=h264-decode
endif


# vim:set noexpandtab filetype=make: 
