# Copyright (C) 2007-2010 Timesys Corporation
# m2v-demuxer rules

# Define common macros for m2v-demuxer from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,m2v-demuxer))


$(BUILD_DIR)/m2v-demuxer-$(m2v-demuxer_VERSION)/.stamp_pre_configured:
	cd $(m2v-demuxer_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_m2v-demuxer))
SOFTWARE+=m2v-demuxer
endif


# vim:set noexpandtab filetype=make: 
