# Copyright (C) 2007-2010 Timesys Corporation
# mp3-decode rules

# Define common macros for mp3-decode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mp3-decode))


$(BUILD_DIR)/mp3-decode-$(mp3-decode_VERSION)/.stamp_pre_configured:
	cd $(mp3-decode_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mp3-decode))
SOFTWARE+=mp3-decode
endif


# vim:set noexpandtab filetype=make: 
