# Copyright (C) 2007-2010 Timesys Corporation
# vpu-decoder rules

# Define common macros for vpu-decoder from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,vpu-decoder))


$(BUILD_DIR)/vpu-decoder-$(vpu-decoder_VERSION)/.stamp_pre_configured:
	cd $(vpu-decoder_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_vpu-decoder))
SOFTWARE+=vpu-decoder
endif


# vim:set noexpandtab filetype=make: 
