# Copyright (C) 2007-2010 Timesys Corporation
# wmv-decode rules

# Define common macros for wmv-decode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,wmv-decode))


$(BUILD_DIR)/wmv-decode-$(wmv-decode_VERSION)/.stamp_pre_configured:
	cd $(wmv-decode_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_wmv-decode))
SOFTWARE+=wmv-decode
endif


# vim:set noexpandtab filetype=make: 
