# Copyright (C) 2007-2010 Timesys Corporation
# apr rules

# Define common macros for apr from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,apr))


$(BUILD_DIR)/apr-$(apr_VERSION)/.stamp_post_host_installed:
	-cd $(TSWO_HOST_INSTALL_DIR)/usr/share/build-1/ && \
		mv -f apr_rules.mk  apr_rules-config && \
		ln -s apr_rules-config apr_rules.mk 
	$(call FIX_LIBTOOL_ARCHIVES,$(TSWO_HOST_INSTALL_DIR))
	$(call FIX_CONFIG_SCRIPTS,$(TSWO_HOST_INSTALL_DIR))
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_apr))
SOFTWARE+=apr
endif


# vim:set noexpandtab filetype=make: 
