# Copyright (C) 2007-2010 Timesys Corporation
# asterisk rules

# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,asterisk))

# asterisk passes on target cflags to the menuselect build which uses the host compiler.
ASTERISK_TARGET_BUILD_OPTIONS=$(patsubst -m%,$(EMPTY),$(TARGET_BUILD_OPTIONS))

$(BUILD_DIR)/asterisk-$(asterisk_VERSION)/.stamp_built:
	$(call PRINT_INFO,building asterisk $(asterisk_VERSION))
	cd $(asterisk_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(asterisk_MAKE_CMD) \
		$(ASTERISK_TARGET_BUILD_OPTIONS) \
        $(asterisk_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_asterisk))
SOFTWARE+=asterisk
endif


# vim:set noexpandtab filetype=make: 
