# Copyright (C) 2007-2010 Timesys Corporation
# cyrus-sasl rules

# Define common macros for this cyrus-sasl from include/common.mk
$(eval $(call COMMON_SETUP,cyrus-sasl))

$(BUILD_DIR)/cyrus-sasl-$(cyrus-sasl_VERSION)/.stamp_pre_built:
	@$(MAKE) -C $(cyrus-sasl_DDIR)/include \
		CC="$(HOSTCC)" \
		LINK="$(HOSTCC) -o makemd5 -lc" \
		CFLAGS="" \
		CPPFLAGS="" \
		makemd5
	touch $@

$(BUILD_DIR)/cyrus-sasl-$(cyrus-sasl_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/sbin/{sasldblistusers2,testsaslauthd,pluginviewer,saslauthd,saslpasswd2}
	touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_cyrus-sasl))
SOFTWARE+=cyrus-sasl
endif


# vim:set noexpandtab: 
