# Copyright (C) 2007-2010 Timesys Corporation
# netkit-telnet rules

# Define common macros for this netkit-telnet from include/common.mk
$(eval $(call COMMON_SETUP,netkit-telnet))


$(BUILD_DIR)/netkit-telnet-$(netkit-telnet_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring netkit-telnet $(netkit-telnet_VERSION))
	$(call CONFIG_UPDATE,$(netkit-telnet_DDIR))
	@cd $(netkit-telnet_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(netkit-telnet_BUILD_OPTIONS) \
		./configure \
        	--prefix=/usr \
			--with-c-compiler=$(TSWO_FULL_TARGET_NAME)-gcc \
        	$(netkit-telnet_CONFIGURE_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_netkit-telnet))
SOFTWARE+=netkit-telnet
endif


# vim:set noexpandtab: 
