# Copyright (C) 2007-2010 Timesys Corporation
# samba rules

# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,samba))

ifneq (y,$(TSWO_LIBC_UCLIBC))
samba_CONFIGURE_OPTIONS+=linux_getgrouplist_ok=yes
else
samba_CONFIGURE_OPTIONS+=linux_getgrouplist_ok=no
endif


$(BUILD_DIR)/samba-$(samba_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/samba-$(samba_VERSION)/.stamp_files_packaged: DESTDIR=$(samba_PKG_INSTALL_DIR)
$(BUILD_DIR)/samba-$(samba_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/samba-$(samba_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/samba-$(samba_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/samba-$(samba_VERSION)/.stamp_files_packaged

$(BUILD_DIR)/samba-$(samba_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/samba-$(samba_VERSION)/.stamp_files_packaged:
	mkdir -p $(DESTDIR)/{etc/{init.d,samba},var/log/samba}
	-cp -f $(samba_SRC_DL_DIR)/smb.conf $(DESTDIR)/etc/samba/
	-cp -f $(samba_SRC_DL_DIR)/S61-samba $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/*
	@touch $@

$(BUILD_DIR)/samba-$(samba_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_samba))
SOFTWARE+=samba
endif


# vim:set noexpandtab filetype=make: 
