# Copyright (C) 2007-2010 Timesys Corporation
# tinyproxy rules

# Define common macros for tinyproxy from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,tinyproxy))

ifeq (y,$(TSWO_LIBC_UCLIBC))
tinyproxy_CONFIGURE_OPTIONS+=LIBS=-lintl
endif


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_tinyproxy))
SOFTWARE+=tinyproxy
endif


# vim:set noexpandtab filetype=make: 
