# Copyright (C) 2007-2010 Timesys Corporation
# ts-test-webapp rules

# Define common macros for this ts-test-webapp from include/common.mk
$(eval $(call COMMON_SETUP,ts-test-webapp))

#ts-test-webapp_VERSION?=0.1
#ts-test-webapp_URL?=$(TSWO_GLOBAL_SOURCE_LOCATION)/ts-test-webapp-$(ts-test-webapp_VERSION)/
#ts-test-webapp_SOURCE?=ts-test-webapp-$(ts-test-webapp_VERSION).tar.gz


$(BUILD_DIR)/ts-test-webapp-$(ts-test-webapp_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/ts-test-webapp-$(ts-test-webapp_VERSION)/.stamp_built:
	@touch $@
$(BUILD_DIR)/ts-test-webapp-$(ts-test-webapp_VERSION)/.stamp_host_installed:
	@touch $@


ts-test-webapp_RFS_CGI_DIR=$(TSWO_RFS_INSTALL_DIR)/usr/lib/cgi-bin/
ts-test-webapp_RFS_CONTENT_DIR=$(TSWO_RFS_INSTALL_DIR)/var/www/
ts-test-webapp_PKG_CGI_DIR=$(ts-test-webapp_PKG_INSTALL_DIR)/usr/lib/cgi-bin/
ts-test-webapp_PKG_CONTENT_DIR=$(ts-test-webapp_PKG_INSTALL_DIR)/var/www/

$(BUILD_DIR)/ts-test-webapp-$(ts-test-webapp_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing ts-test-webapp $(ts-test-webapp_VERSION) to the RFS)
	@mkdir -p $(ts-test-webapp_RFS_CGI_DIR) $(ts-test-webapp_RFS_CONTENT_DIR)
	@$(INSTALL) $(ts-test-webapp_DDIR)/test.cgi $(ts-test-webapp_RFS_CGI_DIR)/test.cgi
	@cp -rf $(ts-test-webapp_DDIR)/content $(ts-test-webapp_RFS_CONTENT_DIR)
	@touch $@

$(BUILD_DIR)/ts-test-webapp-$(ts-test-webapp_VERSION)/.stamp_packaged:
	@mkdir -p  $(ts-test-webapp_PKG_CGI_DIR) $(ts-test-webapp_PKG_CONTENT_DIR)
	@$(INSTALL) $(ts-test-webapp_DDIR)/test.cgi $(ts-test-webapp_PKG_CGI_DIR)/test.cgi
	@cp -rf $(ts-test-webapp_DDIR)/content $(ts-test-webapp_PKG_CONTENT_DIR)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_ts-test-webapp))
SOFTWARE+=ts-test-webapp
endif


# vim:set noexpandtab: 

