# Copyright (C) 2007-2010 Timesys Corporation
# classpath rules

# Define common macros for classpath from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,classpath))

ifeq (y,$(TSWO_SOFTWARE_gtk))
classpath-patch: gtk-host-install gconf-host-install
else
classpath_CONFIGURE_OPTIONS+=--disable-gtk-peer --disable-gconf-peer
endif
ifeq (y,$(TSWO_SOFTWARE_gstreamer))
ifeq (y,$(TSWO_SOFTWARE_gst-plugins-base))
classpath-patch: gstreamer-host-install gst-plugins-base-host-install
classpath_CONFIGURE_OPTIONS+=--enable-gstreamer-peer
endif
endif
ifeq (y,$(TSWO_SOFTWARE_alsa-lib))
classpath-patch: alsa-lib-host-install
classpath_CONFIGURE_OPTIONS+=--enable-alsa
else
classpath_CONFIGURE_OPTIONS+=--disable-alsa
endif

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_classpath))
SOFTWARE+=classpath
endif


# vim:set noexpandtab filetype=make: 
