# Copyright (C) 2007-2010 Timesys Corporation
# apmd rules

# Define common macros for apmd from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,apmd))


$(BUILD_DIR)/apmd-$(apmd_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/apmd-$(apmd_VERSION)/.stamp_built:
	$(call PRINT_INFO,building apmd $(apmd_VERSION))
	cd $(apmd_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_BUILD_OPTIONS) \
		$(apmd_MAKE_CMD) \
		$(TARGET_ALIASES) \
        $(apmd_BUILD_OPTIONS)
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_apmd))
SOFTWARE+=apmd
endif


# vim:set noexpandtab filetype=make: 
