# Copyright (C) 2007-2010 Timesys Corporation
# tcsh rules

# Define common macros for tcsh from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,tcsh))


$(BUILD_DIR)/tcsh-$(tcsh_VERSION)/.stamp_pre_configured:
	cd $(tcsh_DDIR) && \
		$(SED) -i '/NLS_CATALOGS/d' config/linux
	@touch $@

$(BUILD_DIR)/tcsh-$(tcsh_VERSION)/.stamp_pre_built:
	cd $(tcsh_DDIR) && \
		$(MAKE) gethost CC=$(HOSTCC) CPP=$(HOSTCPP) LIBES= EXTRALIBS= CFLAGS= LDFLAGS=
	@touch $@

$(BUILD_DIR)/tcsh-$(tcsh_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_tcsh))
SOFTWARE+=tcsh
endif


# vim:set noexpandtab filetype=make: 
