# Copyright (C) 2007-2010 Timesys Corporation
# cwiid rules

# Define common macros for cwiid from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,cwiid))

# These options force setup.py to pickup the distutils module from
# toolchain directory instead of /usr/lib.
cwiid_BUILD_OPTIONS+=PYTHONHOME=$(TSWO_HOST_INSTALL_DIR) PYTHONPATH=$(TSWO_HOST_INSTALL_DIR)/lib/python$(python_SHORT_VERSION)

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_cwiid))
SOFTWARE+=cwiid
endif


# vim:set noexpandtab filetype=make: 
