# Copyright (C) 2007-2010 Timesys Corporation
# detect-stylus rules


$(eval $(call COMMON_SETUP,detect-stylus))


$(BUILD_DIR)/detect-stylus-$(detect-stylus_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/detect-stylus-$(detect-stylus_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing detect-stylus $(detect-stylus_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(detect-stylus_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(detect-stylus_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(detect-stylus_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/detect-stylus-$(detect-stylus_VERSION)/.stamp_packaged:
	cd $(detect-stylus_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(detect-stylus_MAKE_CMD) DESTDIR=$(detect-stylus_PKG_INSTALL_DIR) install \
        $(detect-stylus_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_detect-stylus))
SOFTWARE+=detect-stylus
endif


# vim:set noexpandtab filetype=make: 
