# Copyright (C) 2007-2010 Timesys Corporation
# evolution-data-server rules

# Define common macros for evolution-data-server from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,evolution-data-server))

ifeq (y,$(TSWO_SOFTWARE_libgweather))
evolution-data-server-patch: libgweather-host-install
else
evolution-data-server_CONFIGURE_OPTIONS+=--without-weather
endif

$(BUILD_DIR)/evolution-data-server-$(evolution-data-server_VERSION)/.stamp_pre_built:
	cp -f $(evolution-data-server_SRC_DL_DIR)/iconv-detect.h $(evolution-data-server_DDIR)/
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_evolution-data-server))
SOFTWARE+=evolution-data-server
endif


# vim:set noexpandtab filetype=make: 
