# Copyright (C) 2007-2010 Timesys Corporation
# gphotofs rules

# Define common macros for gphotofs from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gphotofs))

$(BUILD_DIR)/gphotofs-$(gphotofs_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/gphotofs
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gphotofs))
SOFTWARE+=gphotofs
endif


# vim:set noexpandtab filetype=make: 
