# Copyright (C) 2007-2010 Timesys Corporation
# gypsy rules

# Define common macros for gypsy from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gypsy))

gypsy_OPTIONAL_DEPS=libxslt
gypsy_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gypsy_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gypsy-patch: $(gypsy_OPTIONAL_DEPS_TARGETS)


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gypsy))
SOFTWARE+=gypsy
endif


# vim:set noexpandtab filetype=make: 
