# Copyright (C) 2007-2010 Timesys Corporation
# libosso rules

# Define common macros for libosso from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libosso))


$(BUILD_DIR)/libosso-$(libosso_VERSION)/.stamp_pre_configured:
	@cd $(libosso_DDIR) && \
		$(SED) -i -re 's|^(WFLAGS=\").*\"|\1\"|' configure
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libosso))
SOFTWARE+=libosso
endif


# vim:set noexpandtab filetype=make: 
