# Copyright (C) 2007-2010 Timesys Corporation
# libusb rules

# Define common macros for this libusb from include/common.mk
$(eval $(call COMMON_SETUP,libusb))

ifeq (y,$(strip $(call UNQUOTE_VARIABLE,$(TSWO_BIG_ENDIAN))))
libusb_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=yes
else
libusb_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=no
endif

$(BUILD_DIR)/libusb-$(libusb_VERSION)/.stamp_pre_configured:
	@cd $(libusb_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_libusb))
SOFTWARE+=libusb
endif


# vim:set noexpandtab: 
