# Copyright (C) 2007-2010 Timesys Corporation
# rpm rules

# Define common macros for this rpm from include/common.mk
$(eval $(call COMMON_SETUP,rpm))

RPM_BEECRYPT_INCLUDE_DIR=$(TSWO_HOST_INSTALL_DIR)/include/beecrypt

$(BUILD_DIR)/rpm-$(rpm_VERSION)/.stamp_pre_configured:
	$(call PRINT_INFO,building native file utility for later use)
	@cd $(rpm_DDIR)/file && \
		./configure && \
		$(MAKE) -C src INCLUDES= file_LDFLAGS= && \
		cp -f src/file src/file.native
	$(call PRINT_INFO,removing forced use of /usr/include/beecrypt)
	@cd $(rpm_DDIR) && \
		sed -i -re "s,^(\s+WITH_BEECRYPT_INCLUDE=).*?beecrypt\"$$,\1\-I$(RPM_BEECRYPT_INCLUDE_DIR),g" \
			configure
	@rm -rf $(rpm_DDIR)/popt
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_rpm))
SOFTWARE+=rpm
endif


# vim:set noexpandtab: 
