# Copyright (C) 2007-2010 Timesys Corporation
# vim rules

# Define common macros for this vim from include/common.mk
$(eval $(call COMMON_SETUP,vim))

$(BUILD_DIR)/vim-$(vim_VERSION)/.stamp_symlink_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/vim-$(vim_VERSION)/.stamp_symlink_packaged: DESTDIR=$(vim_PKG_INSTALL_DIR)
$(BUILD_DIR)/vim-$(vim_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/vim-$(vim_VERSION)/.stamp_symlink_rfs_installed
$(BUILD_DIR)/vim-$(vim_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/vim-$(vim_VERSION)/.stamp_symlink_packaged

$(BUILD_DIR)/vim-$(vim_VERSION)/.stamp_symlink_rfs_installed $(BUILD_DIR)/vim-$(vim_VERSION)/.stamp_symlink_packaged:
	-cd $(DESTDIR)/usr/bin && \
		if [ ! -e vi ]; then ln -s vim vi;fi
	@touch $@

$(BUILD_DIR)/vim-$(vim_VERSION)/.stamp_host_installed:
	@touch $@



# add to software list
ifeq (y,$(TSWO_SOFTWARE_vim))
SOFTWARE+=vim
endif


# vim:set noexpandtab: 
