# Copyright (C) 2007-2009 Timesys Corporation
# cross scripts make rules

cross_scripts-fetch:
cross_scripts-unpack:
cross_scripts-patch:
cross_scripts-configure:
cross_scripts-build:
cross_scripts-rfs-install:
cross_scripts-package:
cross_scripts-clean:
cross_scripts-distclean:

$(BUILD_DIR)/cross_scripts/.stamp_host_installed: 
	@mkdir -p $(@D)
	cp -f toolchain/cross_scripts/cross_configure $(TSWO_HOST_INSTALL_DIR)/bin/
	cp -f toolchain/cross_scripts/cross_make $(TSWO_HOST_INSTALL_DIR)/bin/
	cp -f toolchain/cross_scripts/cross_install_to_toolchain $(TSWO_HOST_INSTALL_DIR)/bin/
	$(SED) -i -r \
		-e 's/TSWO_TARGET_CFLAGS/$(TSWO_TARGET_CFLAGS)/g' \
		-e 's/TSWO_TARGET_LDFLAGS/$(TSWO_TARGET_LDFLAGS)/g' \
		-e 's/TSWO_TARGET_CXXFLAGS/$(TSWO_TARGET_CXXFLAGS)/g' \
		-e 's/TSWO_TARGET_CONFIGURE_OPTIONS/$(TSWO_TARGET_CONFIGURE_OPTIONS)/g' \
		-e 's/TSWO_TARGET/$(TSWO_FULL_TARGET_NAME)/g' \
	$(TSWO_HOST_INSTALL_DIR)/bin/{cross_configure,cross_make,cross_install_to_toolchain}
	mkdir -p $(TSWO_HOST_INSTALL_DIR)/share/gnuconfig
	cp -f toolchain/gnuconfig/config.{guess,sub} $(TSWO_HOST_INSTALL_DIR)/share/gnuconfig/
	chmod +x $(TSWO_HOST_INSTALL_DIR)/share/gnuconfig/config.{guess,sub}
	chmod +x $(TSWO_HOST_INSTALL_DIR)/bin/{cross_configure,cross_make,cross_install_to_toolchain}
	@touch $@
	
cross_scripts-host-install: $(BUILD_DIR)/cross_scripts/.stamp_host_installed

# add to host utilities list
ifeq (y,$(TSWO_HOSTTOOL_cross_scripts))
HOST_UTILITIES+=cross_scripts
endif


# vim:set noexpandtab: 
