# Copyright (C) 2007-2009 Timesys Corporation
-include .config

SELECTED=$(shell sed "s@\(^TSWO_SOFTWARE_\(.*\)=y\)\?\|.*@\2@" .config)
# XXX: currently this doesn't take into account indirect deps
DEPS=$(subst ",,$(foreach pkg,$(SELECTED),$(TSWO_$(pkg)_DEPENDS)))

FILTER_PKGS:=$(MAKECMDGOALS)
define REMOVE_FILTER_SUFFIX
FILTER_PKGS:=$$(patsubst $(1),%,$$(FILTER_PKGS))
#This line is critical
endef
$(foreach suf,%-fetch %-unpack %-configure %-build %-check %-rfs-install %-host-install %-package %-clean %-distclean, $(eval $(call REMOVE_FILTER_SUFFIX, $(suf))))

BIN_PKGS=$(filter-out $(FILTER_PKGS),$(sort $(DEPS)))

OLDFILE_ARGS=$(foreach pkg,$(BIN_PKGS),--old-file=$(pkg)-host-install --old-file=$(pkg)-package)


.PHONY: $(MAKECMDGOALS) run_make

$(MAKECMDGOALS): run_make

run_make:
	@$(MAKE) $(OLDFILE_ARGS) $(MAKECMDGOALS)
	

