#include <stdio.h>
#include <stdlib.h>

#define CNT 12
// to-asm section input to stdout
int main(int argc, char *argv[])
{
  int cnt = 0;
  int ch;

  if (argc < 2) {
    fprintf(stderr, "%s: No section name specified!\n", argv[0]);
    exit(-1);
  }

  if (!strcmp(argv[1], ".text"))
    printf("\t.text\n");
  else
    printf("\t.section\t%s,\"ax\",%%progbits\n", argv[1]);
  printf("\t.align 2\n");

  while (1) {
    ch = fgetc(stdin);
    if (feof(stdin))
      break;

    if (!cnt)
      printf("\t.byte 0x%x", ch);
    else
      printf(",0x%x", ch);

    if (++cnt > CNT) {
      printf("\n");
      cnt = 0;
    }
  }
  printf("\n");

  return 0;
}
