# Copyright (C) 2007-2010 Timesys Corporation
# empathy rules

# Define common macros for empathy from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,empathy))

empathy_OPTIONAL_DEPS=connman webkit enchant iso-codes libchamplain geoclue nbtk
empathy_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(empathy_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
empathy-patch: $(empathy_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/empathy-$(empathy_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{empathy*}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_empathy))
SOFTWARE+=empathy
endif


# vim:set noexpandtab filetype=make: 
