# Copyright (C) 2007-2010 Timesys Corporation
# file-roller rules

# Define common macros for file-roller from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,file-roller))

file-roller_OPTIONAL_DEPS=nautilus
file-roller_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(file-roller_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
file-roller-patch: $(file-roller_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/file-roller-$(file-roller_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_file-roller))
SOFTWARE+=file-roller
endif


# vim:set noexpandtab filetype=make: 
