# Copyright (C) 2007-2010 Timesys Corporation
# gnome-settings-daemon rules

# Define common macros for gnome-settings-daemon from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gnome-settings-daemon))

gnome-settings-daemon_OPTIONAL_DEPS=libnotify pulseaudio
gnome-settings-daemon_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gnome-settings-daemon_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gnome-settings-daemon-patch: $(gnome-settings-daemon_OPTIONAL_DEPS_TARGETS)


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gnome-settings-daemon))
SOFTWARE+=gnome-settings-daemon
endif


# vim:set noexpandtab filetype=make: 
