# Copyright (C) 2007-2010 Timesys Corporation
# gpe-appmgr rules


$(eval $(call COMMON_SETUP,gpe-appmgr))


$(BUILD_DIR)/gpe-appmgr-$(gpe-appmgr_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-appmgr-$(gpe-appmgr_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-appmgr $(gpe-appmgr_VERSION))
	cd $(gpe-appmgr_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-appmgr_MAKE_CMD) \
        $(gpe-appmgr_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-appmgr))
SOFTWARE+=gpe-appmgr
endif


# vim:set noexpandtab filetype=make: 
