# Copyright (C) 2007-2010 Timesys Corporation
# libgnome rules

# Define common macros for libgnome from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libgnome))

$(BUILD_DIR)/libgnome-$(libgnome_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/gnome-open
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libgnome))
SOFTWARE+=libgnome
endif


# vim:set noexpandtab filetype=make: 
