# Copyright (C) 2007-2010 Timesys Corporation
# libtiff rules

# Define common macros for this libtiff from include/common.mk
$(eval $(call COMMON_SETUP,libtiff))


$(BUILD_DIR)/libtiff-$(libtiff_VERSION)/.stamp_pre_configured:
	@cd $(libtiff_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

$(BUILD_DIR)/libtiff-$(libtiff_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{*tiff*,fax2ps,pal2rgb,rgb2ycbcr,thumbnail}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_libtiff))
SOFTWARE+=libtiff
endif


# vim:set noexpandtab: 
