# Copyright (C) 2007-2010 Timesys Corporation
# xf86-input-evdev rules

# Define common macros for xf86-input-evdev from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,xf86-input-evdev))

$(BUILD_DIR)/xf86-input-evdev-$(xf86-input-evdev_VERSION)/.stamp_pre_built:
	cd $(xf86-input-evdev_DDIR) && \
		$(SED) -i -re 's|^(sdkdir = ).*|\1 /usr/include/xorg|' $$(find . -name Makefile)


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_xf86-input-evdev))
SOFTWARE+=xf86-input-evdev
endif


# vim:set noexpandtab filetype=make: 
