# Copyright (C) 2007-2010 Timesys Corporation
# xserver-xfbdev rules

$(eval $(call COMMON_SETUP,xserver-xfbdev))


ifeq (y,$(TSWO_SOFTWARE_tslib))
xserver-xfbdev-patch: tslib-host-install
xserver-xfbdev_CONFIGURE_OPTIONS+=--enable-tslib
endif

$(BUILD_DIR)/xserver-xfbdev-$(xserver-xfbdev_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,performing post install steps for xserver-xfbdev)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/{X11/Xsession.d,init.d}
	-cp -f $(xserver-xfbdev_SRC_DL_DIR)/S75-Xfbdev $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S75-Xfbdev
	-cp -f $(xserver-xfbdev_SRC_DL_DIR)/Xsession $(TSWO_RFS_INSTALL_DIR)/etc/X11/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession
	@touch $(@);

$(BUILD_DIR)/xserver-xfbdev-$(xserver-xfbdev_VERSION)/.stamp_setup_xinit: $(BUILD_DIR)/xserver-xfbdev-$(xserver-xfbdev_VERSION)/.stamp_packaged
	mkdir -p $(xserver-xfbdev_PKG_INSTALL_DIR)/etc/{X11/Xsession.d,init.d}
	-cp -f $(xserver-xfbdev_SRC_DL_DIR)/S75-Xfbdev $(xserver-xfbdev_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(xserver-xfbdev_PKG_INSTALL_DIR)/etc/init.d/S75-Xfbdev
	-cp -f $(xserver-xfbdev_SRC_DL_DIR)/Xsession $(xserver-xfbdev_PKG_INSTALL_DIR)/etc/X11/
	-chmod +x $(xserver-xfbdev_PKG_INSTALL_DIR)/etc/X11/Xsession
	@touch $(@);
$(BUILD_DIR)/xserver-xfbdev-$(xserver-xfbdev_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/xserver-xfbdev-$(xserver-xfbdev_VERSION)/.stamp_setup_xinit

# add to software list
ifeq (y,$(TSWO_SOFTWARE_xserver-xfbdev))
SOFTWARE+=xserver-xfbdev
endif


# vim:set noexpandtab filetype=make: 
