# Copyright (C) 2007-2010 Timesys Corporation
# aac-decode rules

# Define common macros for aac-decode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,aac-decode))


$(BUILD_DIR)/aac-decode-$(aac-decode_VERSION)/.stamp_pre_configured:
	cd $(aac-decode_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_aac-decode))
SOFTWARE+=aac-decode
endif


# vim:set noexpandtab filetype=make: 
