# Copyright (C) 2007-2010 Timesys Corporation
# deinterlace rules

# Define common macros for deinterlace from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,deinterlace))


$(BUILD_DIR)/deinterlace-$(deinterlace_VERSION)/.stamp_pre_configured:
	cd $(deinterlace_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_deinterlace))
SOFTWARE+=deinterlace
endif


# vim:set noexpandtab filetype=make: 
