# Copyright (C) 2007-2010 Timesys Corporation
# dirac rules

# Define common macros for dirac from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,dirac))


$(BUILD_DIR)/dirac-$(dirac_VERSION)/.stamp_pre_built:
	cd $(dirac_DDIR) && \
		$(SED) -i -re "/^DOC_DIR = doc/d" Makefile
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_dirac))
SOFTWARE+=dirac
endif


# vim:set noexpandtab filetype=make: 
