# Copyright (C) 2007-2010 Timesys Corporation
# gstreamer rules


$(eval $(call COMMON_SETUP,gstreamer))

gstreamer_OPTIONAL_DEPS=libogg libtheora libvorbis
gstreamer_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gstreamer_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gstreamer-patch: $(gstreamer_OPTIONAL_DEPS_TARGETS)


$(BUILD_DIR)/gstreamer-$(gstreamer_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{gst-xmlinspect,gst-xmllaunch,gst-typefind,gst-xmllaunch*,gst-inspect,gst-launch*,gst-typefind*,gst-launch,gst-feedback,gst-xmlinspect*,gst-inspect*,gst-feedback*}
	@touch $@

$(BUILD_DIR)/gstreamer-$(gstreamer_VERSION)/.stamp_pre_configured:
	@cd $(gstreamer_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gstreamer))
SOFTWARE+=gstreamer
endif


# vim:set noexpandtab filetype=make: 
