# Copyright (C) 2007-2010 Timesys Corporation
# mp3-encode rules

# Define common macros for mp3-encode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mp3-encode))


$(BUILD_DIR)/mp3-encode-$(mp3-encode_VERSION)/.stamp_pre_configured:
	cd $(mp3-encode_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mp3-encode))
SOFTWARE+=mp3-encode
endif


# vim:set noexpandtab filetype=make: 
