# Copyright (C) 2007-2010 Timesys Corporation
# mpeg4-encode rules


# Define common macros for mpeg4-encode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mpeg4-encode))


$(BUILD_DIR)/mpeg4-encode-$(mpeg4-encode_VERSION)/.stamp_pre_configured:
	cd $(mpeg4-encode_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mpeg4-encode))
SOFTWARE+=mpeg4-encode
endif


# vim:set noexpandtab filetype=make: 
