# Copyright (C) 2007-2010 Timesys Corporation
# vpu-encoder rules

# Define common macros for vpu-encoder from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,vpu-encoder))


$(BUILD_DIR)/vpu-encoder-$(vpu-encoder_VERSION)/.stamp_pre_configured:
	cd $(vpu-encoder_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_vpu-encoder))
SOFTWARE+=vpu-encoder
endif


# vim:set noexpandtab filetype=make: 
