# Copyright (C) 2007-2010 Timesys Corporation
# dhcdbd rules

# Define common macros for dhcdbd from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,dhcdbd))

$(BUILD_DIR)/dhcdbd-$(dhcdbd_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/dhcdbd-$(dhcdbd_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_dhcdbd))
SOFTWARE+=dhcdbd
endif


# vim:set noexpandtab filetype=make: 
