# Copyright (C) 2007-2010 Timesys Corporation
# freeradius-client rules

# Define common macros for freeradius-client from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,freeradius-client))


$(BUILD_DIR)/freeradius-client-$(freeradius-client_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/sbin/{radexample,login.radius,radiusclient,radstatus,radlogin,radacct,radembedded}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_freeradius-client))
SOFTWARE+=freeradius-client
endif


# vim:set noexpandtab filetype=make: 
