# Copyright (C) 2007-2010 Timesys Corporation
# gnutls rules

# Define common macros for this gnutls from include/common.mk
$(eval $(call COMMON_SETUP,gnutls))

ifeq (y,$(TSWO_SOFTWARE_readline))
gnutls-patch: readline-host-install
else
gnutls_CONFIGURE_OPTIONS+=gl_cv_lib_readline=no
endif

ifeq (y,$(TSWO_SOFTWARE_libtasn1))
gnutls-patch: libtasn1-host-install
endif

$(BUILD_DIR)/gnutls-$(gnutls_VERSION)/.stamp_pre_configured:
	@cd $(gnutls_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

$(BUILD_DIR)/gnutls-$(gnutls_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{certtool,gnutls-cli,gnutls-cli-debug,gnutls-serv,psktool,srptool}
	@touch $@

ifeq (y,$(TSWO_SOFTWARE_gnutls))
SOFTWARE+=gnutls
endif

# vim:set noexpandtab: 
