# Copyright (C) 2007-2010 Timesys Corporation
# gupnp rules

# Define common macros for gupnp from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gupnp))

gupnp_OPTIONAL_DEPS=dbus
gupnp_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gupnp_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gupnp-patch: $(gupnp_OPTIONAL_DEPS_TARGETS)


$(BUILD_DIR)/gupnp-$(gupnp_VERSION)/.stamp_pre_configured:
	cd $(gupnp_DDIR) && $(SED) -i '/shared-mime-info/d' configure
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gupnp))
SOFTWARE+=gupnp
endif


# vim:set noexpandtab filetype=make: 
