# Copyright (C) 2007-2010 Timesys Corporation
# libgsasl rules

# Define common macros for libgsasl from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libgsasl))

libgsasl_OPTIONAL_DEPS=libidn libgssapi libgssglue
libgsasl_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(libgsasl_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
libgsasl-patch: $(libgsasl_OPTIONAL_DEPS_TARGETS)

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libgsasl))
SOFTWARE+=libgsasl
endif


# vim:set noexpandtab filetype=make: 
