# Copyright (C) 2007-2010 Timesys Corporation
# libpurple rules

# Define common macros for libpurple from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libpurple))


libpurple_OPTIONAL_DEPS=gtk sqlite3 ncurses gstreamer avahi dbus tcl tk
libpurple_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(libpurple_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
libpurple-patch: $(libpurple_OPTIONAL_DEPS_TARGETS)


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libpurple))
SOFTWARE+=libpurple
endif


# vim:set noexpandtab filetype=make: 
