# Copyright (C) 2007-2010 Timesys Corporation
# msmtp rules

# Define common macros for msmtp from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,msmtp))

msmtp_OPTIONAL_DEPS=libidn openssl gnutls gnome-keyring libgsasl
msmtp_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(msmtp_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
msmtp-patch: $(msmtp_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/msmtp-$(msmtp_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_msmtp))
SOFTWARE+=msmtp
endif


# vim:set noexpandtab filetype=make: 
