# Copyright (C) 2007-2010 Timesys Corporation
# netkit-routed rules

# Define common macros for this netkit-routed from include/common.mk
$(eval $(call COMMON_SETUP,netkit-routed))


$(BUILD_DIR)/netkit-routed-$(netkit-routed_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring netkit-routed $(netkit-routed_VERSION))
	$(call CONFIG_UPDATE,$(netkit-routed_DDIR))
	@cd $(netkit-routed_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(netkit-routed_BUILD_OPTIONS) \
		./configure \
        	--prefix=/usr \
			--with-c-compiler=$(TSWO_FULL_TARGET_NAME)-gcc \
        	$(netkit-routed_CONFIGURE_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_netkit-routed))
SOFTWARE+=netkit-routed
endif


# vim:set noexpandtab: 
