# Copyright (C) 2007-2010 Timesys Corporation
# netkit-rsh rules

# Define common macros for this netkit-rsh from include/common.mk
$(eval $(call COMMON_SETUP,netkit-rsh))


$(BUILD_DIR)/netkit-rsh-$(netkit-rsh_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring netkit-rsh $(netkit-rsh_VERSION))
	$(call CONFIG_UPDATE,$(netkit-rsh_DDIR))
	@cd $(netkit-rsh_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(netkit-rsh_BUILD_OPTIONS) \
		./configure \
        	--prefix=/usr \
			--with-c-compiler=$(TSWO_FULL_TARGET_NAME)-gcc \
        	$(netkit-rsh_CONFIGURE_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_netkit-rsh))
SOFTWARE+=netkit-rsh
endif


# vim:set noexpandtab: 
