# Copyright (C) 2007-2010 Timesys Corporation
# thttpd rules

# Define common macros for this thttpd from include/common.mk
$(eval $(call COMMON_SETUP,thttpd))

$(BUILD_DIR)/thttpd-$(thttpd_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,performing post install steps for thttpd)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(thttpd_SRC_DL_DIR)/thttpd.conf $(TSWO_RFS_INSTALL_DIR)/etc/
	-cp -f $(thttpd_SRC_DL_DIR)/S55-thttpd $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S55-thttpd
	@touch $(@);

$(BUILD_DIR)/thttpd-$(thttpd_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/thttpd-$(thttpd_VERSION)/.stamp_files_packaged
$(BUILD_DIR)/thttpd-$(thttpd_VERSION)/.stamp_files_packaged: 
	@mkdir -p $(thttpd_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(thttpd_SRC_DL_DIR)/thttpd.conf $(thttpd_PKG_INSTALL_DIR)/etc/
	-cp -f $(thttpd_SRC_DL_DIR)/S55-thttpd $(thttpd_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(thttpd_PKG_INSTALL_DIR)/etc/init.d/S55-thttpd
	@touch $(@);

# add to software list
ifeq (y,$(TSWO_SOFTWARE_thttpd))
SOFTWARE+=thttpd
endif


# vim:set noexpandtab: 
