# Copyright (C) 2007-2010 Timesys Corporation
# wintegra-enet-loopback rules

# Define common macros for wintegra-enet-loopback from include/common.mk
$(eval $(call COMMON_SETUP,wintegra-enet-loopback))

$(BUILD_DIR)/wintegra-enet-loopback-$(wintegra-enet-loopback_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/wintegra-enet-loopback-$(wintegra-enet-loopback_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/wintegra-enet-loopback-$(wintegra-enet-loopback_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,installing init scripts for wintegra-enet-loopback)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(wintegra-enet-loopback_SRC_DL_DIR)/S15-winhdpdrv $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S15-winhdpdrv
	@touch $@

$(BUILD_DIR)/wintegra-enet-loopback-$(wintegra-enet-loopback_VERSION)/.stamp_setup_initscripts: $(BUILD_DIR)/wintegra-enet-loopback-$(wintegra-enet-loopback_VERSION)/.stamp_packaged
	$(call PRINT_INFO,setting up wintegra-enet-loopback init script)
	mkdir -p $(wintegra-enet-loopback_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(wintegra-enet-loopback_SRC_DL_DIR)/S15-winhdpdrv $(wintegra-enet-loopback_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(wintegra-enet-loopback_PKG_INSTALL_DIR)/etc/init.d/S15-winhdpdrv
	@touch $@

$(BUILD_DIR)/wintegra-enet-loopback-$(wintegra-enet-loopback_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/wintegra-enet-loopback-$(wintegra-enet-loopback_VERSION)/.stamp_setup_initscripts

ifeq (y,$(TSWO_SOFTWARE_wintegra-enet-loopback))
SOFTWARE+=wintegra-enet-loopback
endif

# vim:set noexpandtab filetype=make: 
