# Copyright (C) 2007-2010 Timesys Corporation
# lua rules

$(eval $(call COMMON_SETUP,lua))


$(BUILD_DIR)/lua-$(lua_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/lua-$(lua_VERSION)/.stamp_built:
	$(call PRINT_INFO,building lua $(lua_VERSION))
	cd $(lua_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(lua_MAKE_CMD) linux \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(lua_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/lua-$(lua_VERSION)/.stamp_post_host_installed:
	-rm -rf $(TSWO_HOST_INSTALL_DIR)/bin/{lua,luac}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_lua))
SOFTWARE+=lua
endif


# vim:set noexpandtab filetype=make: 
