# Copyright (C) 2007-2010 Timesys Corporation
# vala rules

# Define common macros for vala from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,vala))
 
$(BUILD_DIR)/vala-$(vala_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/valac
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_vala))
SOFTWARE+=vala
endif


# vim:set noexpandtab filetype=make: 
