# Copyright (C) 2007-2010 Timesys Corporation
# acl rules

# Define common macros for acl from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,acl))

$(BUILD_DIR)/acl-$(acl_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{setfacl,chacl,getfacl}
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_acl))
SOFTWARE+=acl
endif


# vim:set noexpandtab filetype=make: 
