# Copyright (C) 2007-2010 Timesys Corporation
# attr rules

# Define common macros for attr from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,attr))


$(BUILD_DIR)/attr-$(attr_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{attr,setfattr,getfattr}
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_attr))
SOFTWARE+=attr
endif


# vim:set noexpandtab filetype=make: 
