# Copyright (C) 2007-2010 Timesys Corporation
# pam rules


$(eval $(call COMMON_SETUP,pam))

$(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_pre_configured:
	@cd $(pam_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

$(BUILD_DIR)/pam-$(pam_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/sbin/{pam_tally,unix_chkpwd}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_pam))
SOFTWARE+=pam
endif


# vim:set noexpandtab filetype=make: 
