# Copyright (C) 2007-2010 Timesys Corporation
# sysklogd rules

# Define common macros for this sysklogd from include/common.mk
$(eval $(call COMMON_SETUP,sysklogd))

$(BUILD_DIR)/sysklogd-$(sysklogd_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/sysklogd-$(sysklogd_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/sysklogd-$(sysklogd_VERSION)/.stamp_files_packaged: DESTDIR=$(sysklogd_PKG_INSTALL_DIR)
$(BUILD_DIR)/sysklogd-$(sysklogd_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/sysklogd-$(sysklogd_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/sysklogd-$(sysklogd_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/sysklogd-$(sysklogd_VERSION)/.stamp_files_packaged

$(BUILD_DIR)/sysklogd-$(sysklogd_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/sysklogd-$(sysklogd_VERSION)/.stamp_files_packaged:
	mkdir -p $(DESTDIR)/{etc/init.d,var/log/}
	-cp -f $(sysklogd_SRC_DL_DIR)/syslog.conf $(DESTDIR)/etc/
	-cp -f $(sysklogd_SRC_DL_DIR)/S10-sysklogd $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/*
	@touch $@

$(BUILD_DIR)/sysklogd-$(sysklogd_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_sysklogd))
SOFTWARE+=sysklogd
endif


# vim:set noexpandtab: 
