# Copyright (C) 2007-2010 Timesys Corporation
# syslog-ng rules

# Define common macros for this syslog-ng from include/common.mk
$(eval $(call COMMON_SETUP,syslog-ng))


$(BUILD_DIR)/syslog-ng-$(syslog-ng_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/syslog-ng-$(syslog-ng_VERSION)/.stamp_files_packaged: DESTDIR=$(syslog-ng_PKG_INSTALL_DIR)
$(BUILD_DIR)/syslog-ng-$(syslog-ng_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/syslog-ng-$(syslog-ng_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/syslog-ng-$(syslog-ng_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/syslog-ng-$(syslog-ng_VERSION)/.stamp_files_packaged

$(BUILD_DIR)/syslog-ng-$(syslog-ng_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/syslog-ng-$(syslog-ng_VERSION)/.stamp_files_packaged:
	mkdir -p $(DESTDIR)/etc/init.d
	-cp -f $(syslog-ng_SRC_DL_DIR)/syslog-ng.conf $(DESTDIR)/etc/
	-cp -f $(syslog-ng_SRC_DL_DIR)/S10-syslog-ng $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/*
	@touch $@

$(BUILD_DIR)/syslog-ng-$(syslog-ng_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_syslog-ng))
SOFTWARE+=syslog-ng
endif


# vim:set noexpandtab: 
