# Copyright (C) 2007-2010 Timesys Corporation
# augeas rules

# Define common macros for augeas from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,augeas))

$(BUILD_DIR)/augeas-$(augeas_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{fadot,augtool,augparse}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_augeas))
SOFTWARE+=augeas
endif


# vim:set noexpandtab filetype=make: 
