# Copyright (C) 2007-2010 Timesys Corporation
# dbus-python rules

# Define common macros for this dbus-python from include/common.mk
$(eval $(call COMMON_SETUP,dbus-python))

dbus-python_CONFIGURE_OPTIONS+=am_cv_python_platform=linux2 am_cv_python_pyexecdir=/usr/lib/python$(python_SHORT_VERSION)/site-packages am_cv_python_pythondir=/usr/lib/python$(python_SHORT_VERSION)/site-packages

$(BUILD_DIR)/dbus-python-$(dbus-python_VERSION)/.stamp_built:
	$(call PRINT_INFO,building dbus-python $(dbus-python_VERSION))
	cd $(dbus-python_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(dbus-python_MAKE_CMD) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(dbus-python_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_dbus-python))
SOFTWARE+=dbus-python
endif


# vim:set noexpandtab: 
