# Copyright (C) 2007-2010 Timesys Corporation
# dnotify rules



$(eval $(call COMMON_SETUP,dnotify))

ifeq (y,$(TSWO_LIBC_UCLIBC))
dnotify_BUILD_OPTIONS+=LDFLAGS=-lintl
endif


$(BUILD_DIR)/dnotify-$(dnotify_VERSION)/.stamp_pre_configured:
	@cd $(dnotify_DDIR) && \
		autoreconf -i
	@touch $@

$(BUILD_DIR)/dnotify-$(dnotify_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/dnotify
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_dnotify))
SOFTWARE+=dnotify
endif


# vim:set noexpandtab filetype=make: 
