# Copyright (C) 2007-2010 Timesys Corporation
# fftw rules

# Define common macros for fftw from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,fftw))

$(BUILD_DIR)/fftw-$(fftw_VERSION)/.stamp_post_host_installed:
	-rm -rf $(TSWO_HOST_INSTALL_DIR)/bin/{fftw-wisdom-to-conf,fftw-wisdom}
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_fftw))
SOFTWARE+=fftw
endif


# vim:set noexpandtab filetype=make: 
