# Copyright (C) 2007-2010 Timesys Corporation
# gmime rules

# Define common macros for gmime from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gmime))

ifeq (y,$(TSWO_SOFTWARE_mono))
gmime-patch: mono-host-install
else
gmime_CONFIGURE_OPTIONS+=--enable-mono=no
endif

$(BUILD_DIR)/gmime-$(gmime_VERSION)/.stamp_pre_configured:
	cp -f $(gmime_SRC_DL_DIR)/iconv-detect.h $(gmime_DDIR)/
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gmime))
SOFTWARE+=gmime
endif


# vim:set noexpandtab filetype=make: 
