# Copyright (C) 2007-2010 Timesys Corporation
# grep rules

# Define common macros for this grep from include/common.mk
$(eval $(call COMMON_SETUP,grep))


ifeq ($(LIBC),uClibc)
grep_BUILD_OPTIONS+=LDFLAGS=-lintl
endif

ifneq (y,$(strip $(TSWO_SOFTWARE_pcre)))
grep_CONFIGURE_OPTIONS+=--disable-perl-regexp
else
grep-patch: pcre-host-install
endif

# add to software list
ifeq (y,$(TSWO_SOFTWARE_grep))
SOFTWARE+=grep
endif


# vim:set noexpandtab: 
