# Copyright (C) 2007-2010 Timesys Corporation
# gvfs rules

# Define common macros for gvfs from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gvfs))

gvfs_OPTIONAL_DEPS=libsoup libxml2 avahi udev fuse gconf expat hal bluez libgphoto2 gnome-keyring samba libarchive obexd openobex
gvfs_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gvfs_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gvfs-patch: $(gvfs_OPTIONAL_DEPS_TARGETS)



# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gvfs))
SOFTWARE+=gvfs
endif


# vim:set noexpandtab filetype=make: 
