# Copyright (C) 2007-2010 Timesys Corporation
# libbsd rules

# Define common macros for this argp-standalone from include/common.mk
$(eval $(call COMMON_SETUP,libbsd))

$(BUILD_DIR)/libbsd-$(libbsd_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/libbsd-$(libbsd_VERSION)/.stamp_built:
	$(call PRINT_INFO,building libbsd $(libbsd_VERSION))
	cd $(libbsd_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(libbsd_MAKE_CMD) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(libbsd_BUILD_OPTIONS)
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libbsd))
SOFTWARE+=libbsd
endif


# vim:set noexpandtab filetype=make: 
