# Copyright (C) 2007-2010 Timesys Corporation
# libnotify rules

# Define common macros for libnotify from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libnotify))

$(BUILD_DIR)/libnotify-$(libnotify_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/notify-send
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libnotify))
SOFTWARE+=libnotify
endif


# vim:set noexpandtab filetype=make: 
