# Copyright (C) 2007-2010 Timesys Corporation
# openhpi-subagent rules

# Define common macros for openhpi-subagent from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,openhpi-subagent))


$(BUILD_DIR)/openhpi-subagent-$(openhpi-subagent_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/hpiSubagent
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_openhpi-subagent))
SOFTWARE+=openhpi-subagent
endif


# vim:set noexpandtab filetype=make: 
